[arch-commits] Commit in xfce4-mixer/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Jul 20 17:14:45 EDT 2008


    Date: Sunday, July 20, 2008 @ 17:14:45
  Author: jgc
Revision: 5783

Merged revisions 2-5782 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/xfce4-mixer/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r5745 | jgc | 2008-07-20 16:35:26 +0000 (Sun, 20 Jul 2008) | 2 lines
  
  upgpkg: xfce4-mixer 4.4.2-2
      Remove calls to update-desktop-database
........

Modified:
  xfce4-mixer/repos/extra-i686/	(properties)
  xfce4-mixer/repos/extra-i686/PKGBUILD
  xfce4-mixer/repos/extra-i686/xfce4-mixer.install

---------------------+
 PKGBUILD            |   11 +++++------
 xfce4-mixer.install |    7 -------
 2 files changed, 5 insertions(+), 13 deletions(-)


Property changes on: xfce4-mixer/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /xfce4-mixer/trunk:1
   + /xfce4-mixer/trunk:1-5782

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-20 21:08:37 UTC (rev 5782)
+++ extra-i686/PKGBUILD	2008-07-20 21:14:45 UTC (rev 5783)
@@ -3,7 +3,7 @@
 
 pkgname=xfce4-mixer
 pkgver=4.4.2
-pkgrel=1
+pkgrel=2
 pkgdesc="The volume control plugin for the Xfce panel"
 arch=(i686 x86_64)
 license=('GPL2')
@@ -11,17 +11,16 @@
 groups=('xfce4')
 depends=('xfce4-panel>=4.4.2' 'alsa-lib')
 makedepends=('xfce-mcs-manager>=4.4.2' 'pkgconfig')
-options=('!libtool')
+options=('!libtool' '!makeflags')
 install=${pkgname}.install
 source=(http://www.xfce.org/archive/xfce-${pkgver}/src/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('c21cb5680f135dc86e5f0a6f9473003a')
 
 build() {
-  export MAKEFLAGS="-j1"
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/xfce4 \
     --localstatedir=/var --disable-static \
-    --with-sound=alsa
+    --with-sound=alsa || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
 }

Modified: extra-i686/xfce4-mixer.install
===================================================================
--- extra-i686/xfce4-mixer.install	2008-07-20 21:08:37 UTC (rev 5782)
+++ extra-i686/xfce4-mixer.install	2008-07-20 21:14:45 UTC (rev 5783)
@@ -1,5 +1,4 @@
 post_install() {
-  update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 
@@ -8,11 +7,5 @@
 }
 
 post_remove() {
-  update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
-
-op=$1
-shift
-
-$op $*





More information about the arch-commits mailing list